[gcr] build: Stop using gnome-autogen.sh



commit 09fe5705e81485d33ecf07a7c0fdc6613aff1993
Author: Daiki Ueno <dueno src gnome org>
Date:   Tue Feb 13 13:31:16 2018 +0100

    build: Stop using gnome-autogen.sh
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793421

 autogen.sh |   47 ++++++++++++++++++++++++++++++++---------------
 1 files changed, 32 insertions(+), 15 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 794e1c5..590b435 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,26 +1,43 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-
-PKG_NAME="gcr"
-USE_GNOME2_MACROS=1
-REQUIRED_AUTOMAKE_VERSION=1.11
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
 olddir=`pwd`
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
 
-( test -f $srcdir/configure.ac ) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
+cd $srcdir
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME Git"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
 }
 
-. gnome-autogen.sh
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then
+               exit 0
+       else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
 
 # Put a redirect makefile here
 if [ ! -f $srcdir/Makefile ]; then


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]